- Extending Qt Creator Manual
- QtCreator
- PluginView
- Extending Qt Creator Manual 13.0.0

# PluginView Class

class ExtensionSystem::PluginView

The PluginView class implements a widget that shows a list of all plugins and their state. More...

Header: | #include <extensionsystem/pluginview.h>

- List of all members, including inherited members

## Public Functions

| PluginView(QWidget *parent = nullptr)
ExtensionSystem::PluginSpec * | currentPlugin() const
void | setFilter(const QString &filter)

## Signals

void | currentPluginChanged(ExtensionSystem::PluginSpec *spec)
void | pluginActivated(ExtensionSystem::PluginSpec *spec)

## Detailed Description

This class can be embedded for example in a dialog in the application that uses the plugin manager. The class also provides notifications for interaction with the list.

See also ExtensionSystem::PluginDetailsView and ExtensionSystem::PluginErrorView.

## Member Function Documentation

### PluginView::PluginView(QWidget *parent = nullptr)

Constructs a plugin view with parent that displays a list of plugins from a plugin manager.

### `[signal]` void PluginView::currentPluginChanged(ExtensionSystem::PluginSpec *spec)

The current selection in the plugin list has changed to the plugin corresponding to spec.

### `[signal]` void PluginView::pluginActivated(ExtensionSystem::PluginSpec *spec)

The plugin list entry corresponding to spec has been activated, for example by a double-click.

### ExtensionSystem::PluginSpec *PluginView::currentPlugin() const

Returns the current selection in the list of plugins.

### void PluginView::setFilter(const QString &filter)

Sets the filter for listing plugins.